
<%
Function  proclass()
sdx_temstr=""
dim arrShowLine(10) 
for i=0 to ubound(arrShowLine) 
arrShowLine(i)=False 
next 
dim sqlClass,rsClass,i,iDepth 


sqlClass="select * From sdx_class where ParentID="&rs2("classid")&"  order by RootID,Orderid,ordernum" 
set rsClass=server.CreateObject("adodb.recordset") 
rsClass.open sqlClass,conn,1,1 




If Not rsClass.Eof Then 

do while not rsClass.eof 



iDepth=rsClass("Depth") 
if rsClass("NextID")>0 then 
arrShowLine(iDepth)=True 
else 
arrShowLine(iDepth)=False 
end if 
if iDepth>0 then 
for i=1 to iDepth 
if i=iDepth then 
if rsClass("NextID")>0 then 
sdx_temstr=sdx_temstr&"" 
else 
sdx_temstr=sdx_temstr&"" 
end if 
else 
if arrShowLine(i)=True then 
sdx_temstr=sdx_temstr&"&nbsp;&nbsp;|&nbsp;&nbsp;" 
else 
sdx_temstr=sdx_temstr&"&nbsp;&nbsp;|&nbsp;&nbsp;" 
end if 
end if 
next 
end if 
if rsClass("ParentID")=0 then 
response.write "" 

elseif rsClass("Child")>=0 then 

else
sdx_temstr=sdx_temstr&"" 
end if 
if rsClass("Depth")=0 then 

end if 
if rsClass("ClassID")=cint(oid) then
sdx_temstr=sdx_temstr&"<a href='"&webdir&"/class.asp?cid=" & rsClass("ClassID") & "' title='" & rsClass("ClassName") &oid& "'><span class=container2-2-ClassName>" & rsClass("ClassName") & "</span></a>" 
else
sdx_temstr=sdx_temstr&"<a href='"&webdir&"/class.asp?cid=" & rsClass("ClassID") & "' title='" & rsClass("ClassName") &oid& "'><span class=container2-2-ClassName>" & rsClass("ClassName") & "</span></a>" 
end if

if rsClass("Child")>0 then 
sdx_temstr=sdx_temstr&"（" & rsClass("Child") & "）" 
end if 



rsClass.movenext 
loop 


Else 




End If 
rsClass.close 
set rsClass=nothing

proclass=sdx_temstr 



end Function

          
%>

<style type="text/css">
body  { background:#39867B; margin:0px; font:9pt 宋体; }
table  { border:0px; }
td  { font:normal 12px 宋体; }
img  { vertical-align:bottom; border:0px; }
a  { font:normal 12px 宋体; color:#000000; text-decoration:none; }
a:hover  { color:#428EFF;text-decoration:underline; }
.sec_menu  { border-left:1px solid white; border-right:1px solid white; border-bottom:1px solid white; overflow:hidden; background:#C6EBDE; }
.menu_title  { }
.menu_title span  { position:relative; top:2px; left:8px; color:#39867B; font-weight:bold; }
.menu_title2  { }
.menu_title2 span  { position:relative; top:2px; left:8px; color:#39867B; font-weight:bold; }
</style>

<table cellspacing="0" cellpadding="0" width="158" align="center">
<tbody>
  	<tr>		
    <td class="menu_title" background="images/title_bg_quit.gif" height="25"> 
      <span><a href="../index.asp" target=_blank><b>网站分类</B></A></span></td>
	</tr>
	
 <%
				
		 set rsc=server.CreateObject("adodb.recordset")
		  rsc.open "select * from sdx_class where  ParentID =0 and classup=0 order by  OrderID asc",conn,1,1
		  
				if err.number<>0 then
				response.write ""
				end if
				
  				if rsc.eof And rsc.bof then
       				Response.Write "<p align='center'> 对不起，目前还没有分类！</p>"
   				else
	  						
i=0
   				
			
     do while not rsc.eof

i=i+1

%>
   <tr>	
    <td class="menu_title" id="imgmenu<%=i%>" onmouseover="this.className='menu_title2';" onclick="showsubmenu(<%=i%>)" onmouseout="this.className='menu_title';" style="cursor:hand" background="images/menudown.gif" height="25"> 
      &nbsp;<span>网站设置</span> </td>
	</tr>
	<tr>
		<td id="submenu<%=i%>" style="DISPLAY: none" align="center">
	    <%
      set rs2=server.createobject("adodb.recordset")
       rs2.open "select ClassName,classid,Depth,rootid,ParentID,ParentPath from sdx_class where  ParentID="&rsc("classid")&" and  Depth<2 and ParentID<>0 and classup=0   order by Ordernum asc ",conn,1,1 
    
      if rs2.eof And rs2.bof then%>

       <%	else
do while not rs2.eof
%>
<li><a href="<%=webdir%>/class.asp?cid=<%=rs2("classid")%>"><span class="container2-2-ClassName2"><%=rs2("ClassName")%></span></a>
<% = proclass %>
</li>
  

        <%  rs2.movenext
	loop
   end if
    rs2.close
  set rs2=nothing
%>
		</td>
	</tr>

		
   <%

rsc.movenext
loop
end if
rsc.close
set rsc=nothing
 %>

</tbody>
</table>

<script language=javascript>
function showsubmenu(sid)
{
whichEl = eval("submenu" + sid);
imgmenu = eval("imgmenu" + sid);
if (whichEl.style.display == "none")
{
eval("submenu" + sid + ".style.display=\"\";");
imgmenu.background="images/menuup.gif";
}
else
{
eval("submenu" + sid + ".style.display=\"none\";");
imgmenu.background="images/menudown.gif";
}
}

top.document.title="Powered By 商达讯网站管理系统"; 
</script>